(cpp-pdal-stage)=

```{index} Stage
```

# {cpp:class}`pdal::Stage`

{cpp:class}`pdal::Stage` is the base class of {cpp:class}`pdal::Filter`,
{cpp:class}`pdal::Reader`, and {cpp:class}`pdal::MultiFilter` classes that
implement the reading API in a PDAL pipeline.

```{eval-rst}
.. doxygenclass:: pdal::Stage
   :members:
   :undoc-members:
```
